std::logical_not< void > Struct Reference
Utilities » Function Objects » Boolean Operations Classes

`#include <stl_function.h>`

## Public Types

typedef __is_transparent | is_transparent

## Public Member Functions

template<typename _Tp >
constexpr auto | operator() (_Tp &&__t) const noexcept(noexcept(!std::forward< _Tp >(__t))) -> decltype(!std::forward< _Tp >(__t))

## Detailed Description

One of the Boolean operations functors.

Definition at line 858 of file stl_function.h.

## Member Typedef Documentation

## is_transparent

typedef __is_transparent std::logical_not< void >::is_transparent

Definition at line 868 of file stl_function.h.

## Member Function Documentation

## operator()()

template<typename _Tp >

constexpr auto std::logical_not< void >::operator() | ( | _Tp && | __t | ) | const -> decltype(!std::forward<_Tp>(__t))

inline constexpr noexcept

Definition at line 863 of file stl_function.h.

The documentation for this struct was generated from the following file:

- stl_function.h